Package Details: python-tensorflow-opt-rocm 2.3.1-3

Git Clone URL: https://aur.archlinux.org/tensorflow-rocm.git (read-only, click to copy)
Package Base: tensorflow-rocm
Description: Library for computation using data flow graphs for scalable machine learning (with ROCM and CPU optimizations)
Upstream URL: https://www.tensorflow.org/
Licenses: Apache
Conflicts: python-tensorflow
Provides: python-tensorflow, python-tensorflow-rocm
Submitter: acxz
Maintainer: acxz
Last Packager: acxz
Votes: 2
Popularity: 0.125475
First Submitted: 2020-07-03 20:44
Last Updated: 2020-10-15 21:16

Required by (34)

Sources (9)

Pinned Comments

acxz commented on 2020-07-03 20:57

Development is on Github: https://github.com/rocm-arch/tensorflow-rocm Please open issues and PRs there instead of commenting.

Latest Comments

dagu commented on 2020-08-10 08:32

[code] INFO: From Compiling tensorflow/core/kernels/sparse_tensor_dense_matmul_op_gpu.cu.cc: clang-11: warning: /usr/bin/gcc-9: 'linker' input unused [-Wunused-command-line-argument] clang-11: warning: argument unused during compilation: '--hip-device-lib-path=/opt/rocm/lib' [-Wunused-command-line-argument] clang-11: warning: /usr/bin/gcc-9: 'linker' input unused [-Wunused-command-line-argument] In file included from tensorflow/core/kernels/sparse_tensor_dense_matmul_op_gpu.cu.cc:23: In file included from ./tensorflow/core/util/gpu_kernel_helper.h:25: ./tensorflow/core/util/gpu_device_functions.h:828:25: error: redefinition of 'GpuAtomicMax' device inline int64 GpuAtomicMax(int64 ptr, int64 value) { ^ ./tensorflow/core/util/gpu_device_functions.h:796:29: note: previous definition is here device inline long long GpuAtomicMax(long long ptr, long long value) { ^ ./tensorflow/core/util/gpu_device_functions.h:898:25: error: redefinition of 'GpuAtomicMin' device inline int64 GpuAtomicMin(int64 ptr, int64 value) { ^ ./tensorflow/core/util/gpu_device_functions.h:866:29: note: previous definition is here device inline long long GpuAtomicMin(long long ptr, long long value) { ^ 2 errors generated when compiling for gfx803. ERROR: ~/tensorflow-rocm/src/tensorflow-2.3.0-opt-rocm/tensorflow/core/kernels/BUILD:5545:18: output 'tensorflow/core/kernels/_objs/sparse_tensor_dense_matmul_op_gpu/sparse_tensor_dense_matmul_op_gpu.cu.pic.o' was not created ERROR: ~/tensorflow-rocm/src/tensorflow-2.3.0-opt-rocm/tensorflow/core/kernels/BUILD:5545:18: not all outputs were created or valid [/code]

tobol commented on 2020-07-25 10:40

This package doesn't build. I've flagged it, but acxz refuses to act.

soho commented on 2020-07-06 14:21

May you please upload a working binary at some place?

The build fails in a clean chroot: '''ROCm Configuration Error: Cannot find rocm library hip_hcc'''

acxz commented on 2020-07-03 20:57

Development is on Github: https://github.com/rocm-arch/tensorflow-rocm Please open issues and PRs there instead of commenting.